import { EntityObject, EntityRuntime } from "../global_api/EntityRuntime"
import { log } from "../global_api/Logger";
import { Vector2 } from "../global_api/Math";

export class Skybox extends EntityObject {


    onBegin() {
        this.data["position"] = this.getEntity().location;
    }

    onTick() {
        this.getEntity().teleport(this.data["position"])
    }
}

EntityRuntime.register("pixell_bbo:skybox", Skybox);